For the complete documentation index, see llms.txt. This page is also available as Markdown.

Permissions

Listar permissões do usuário

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userIdstringObrigatório

ID do usuario

Respostas
200

User permissions listed

application/json
get/portal-user/{userId}/permissions
GET /api/b2b/portal-user/{userId}/permissions HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "menu_items": [
    {
      "menu_item_id": "text",
      "title": "text",
      "access": true
    }
  ],
  "new_orders": [
    {
      "new_order_id": "text",
      "title": "text",
      "access": true
    }
  ]
}

Atualizar permissões do usuário

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userIdstringObrigatório

ID do usuario

Corpo
Respostas
200

User permissions listed

application/json
put/portal-user/{userId}/permissions
PUT /api/b2b/portal-user/{userId}/permissions HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "menu_items": [
    {
      "id": "text",
      "menu_item_id": "text",
      "access": true
    }
  ],
  "new_orders": [
    {
      "id": "text",
      "new_order_id": "text",
      "access": true
    }
  ]
}
{
  "menu_items": [
    {
      "menu_item_id": "text",
      "title": "text",
      "access": true
    }
  ],
  "new_orders": [
    {
      "new_order_id": "text",
      "title": "text",
      "access": true
    }
  ]
}